<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml">
    <!-- params: observations: List<Observation> object containing the observation to display
                   nbOfColumnsToSpan: the number of columns in the parent table
                   panelTitle: the title to display in the panel header
                   parentType: order/specimen
                   spm/currentOrder : the var to walk through the table
                   displayAddButton: indicates whether the buttons to create a new observation should be displayed or not-->
    <rich:collapsibleSubTable var="obs" value="#{observations}" headerClass="gzl-alert-blue"
        rendered="#{not empty observations}" rowClass="gzl-alert-blue">
        <f:facet name="header">
            <rich:columnGroup>
                <rich:column>
                    <h:outputText value="#{messages['gazelle.ordermanager.RelatedObservation']}" style="font-weight: bold;"/>
                </rich:column>
                <rich:column>
                    #{messages['gazelle.ordermanager.SetID_2']}
                </rich:column>
                <rich:column>
                    #{messages['gazelle.ordermanager.IdentifiersubID']}
                </rich:column>
                <rich:column>
                    #{messages['gazelle.ordermanager.ObservationValue']}
                </rich:column>
                <rich:column>
                    #{messages['gazelle.ordermanager.ObservationStatus']}
                </rich:column>
                <rich:column colspan="#{colNumber}"/>
            </rich:columnGroup>
        </f:facet>
        <rich:column>
            <h:selectBooleanCheckbox rendered="#{displayAddButton}" value="#{obs.includeInMessage}"/>
        </rich:column>
        <rich:column>
            <h:outputText value="#{obs.setId}"/>
        </rich:column>
        <rich:column>
            <h:outputText value="#{obs.identifier}"/>
            <h:outputText value=" (#{obs.subID})" rendered="#{not empty obs.subID}"/>
        </rich:column>
        <rich:column>
            <h:outputText value="#{obs.value}"/>
            <h:outputText value=" #{obs.units}" rendered="#{not empty obs.units}"/>
        </rich:column>
        <rich:column>
            <h:outputText value="#{obs.resultStatus}"/>
        </rich:column>
        <rich:column colspan="#{colNumber}">
            <a4j:commandLink title="#{messages['gazelle.ordermanager.Edit']}"
                             actionListener="#{orderResultManager.selectObservationForEdit(obs)}"
                             render="resultConfiguration"  rendered="#{displayAddButton}">
                <s:span styleClass="gzl-icon-pencil"/>
            </a4j:commandLink>
            <a4j:commandLink title="#{messages['gazelle.ordermanager.Rerun']}"
                             rendered="#{allowRerun and (orderResultManager.simulatedActor.keyword.equals('ANALYZER') and orderResultManager.isOptionSupported('LAW_RERUN'))}"
                             actionListener="#{orderResultManager.selectObservationForRerun(obs)}"
                             render="resultConfiguration" >
                <s:span styleClass="fa fa-repeat gzl-text-blue"/>
            </a4j:commandLink>
        </rich:column>
    </rich:collapsibleSubTable>
</ui:composition>
